#define DMA_MAX_COUNT   (46)

#define SCB1_DMA_MMR_OFFSET (REG_DMA0_DSCPTR_NXT  - REG_DMA0_DSCPTR_NXT) // SCB1: DMA[9:0]
#define SCB2_DMA_MMR_OFFSET (REG_DMA10_DSCPTR_NXT - REG_DMA0_DSCPTR_NXT) // SCB2: DMA[12:10]
#define SCB3_DMA_MMR_OFFSET (REG_DMA13_DSCPTR_NXT - REG_DMA0_DSCPTR_NXT) // SCB3: DMA[20:13]
#define SCB4_DMA_MMR_OFFSET (REG_DMA21_DSCPTR_NXT - REG_DMA0_DSCPTR_NXT) // SCB4: DMA[28:21]
#define SCB5_DMA_MMR_OFFSET (REG_DMA29_DSCPTR_NXT - REG_DMA0_DSCPTR_NXT) // SCB5: DMA[32:29]
#define SCB6_DMA_MMR_OFFSET (REG_DMA33_DSCPTR_NXT - REG_DMA0_DSCPTR_NXT) // SCB6: DMA[34:33]
#define SCB7_DMA_MMR_OFFSET (REG_DMA35_DSCPTR_NXT - REG_DMA0_DSCPTR_NXT) // SCB7: DMA[37:35]
#define SCB8_DMA_MMR_OFFSET (REG_DMA38_DSCPTR_NXT - REG_DMA0_DSCPTR_NXT) // SCB8: DMA[41:38]
#define SCB9_DMA_MMR_OFFSET (REG_DMA42_DSCPTR_NXT - REG_DMA0_DSCPTR_NXT) // SCB9: DMA[46:42]


#define pSPORT0_A_DMA_STAT              ((volatile uint32_t *)REG_DMA0_STAT)
#define pSPORT0_B_DMA_STAT              ((volatile uint32_t *)REG_DMA1_STAT)
#define pSPORT1_A_DMA_STAT              ((volatile uint32_t *)REG_DMA2_STAT)
#define pSPORT1_B_DMA_STAT              ((volatile uint32_t *)REG_DMA3_STAT)
#define pSPORT2_A_DMA_STAT              ((volatile uint32_t *)REG_DMA4_STAT)
#define pSPORT2_B_DMA_STAT              ((volatile uint32_t *)REG_DMA5_STAT)
#define pSPI0_TXDMA_STAT                ((volatile uint32_t *)REG_DMA6_STAT)
#define pSPI0_RXDMA_STAT                ((volatile uint32_t *)REG_DMA7_STAT)
#define pSPI1_TXDMA_STAT                ((volatile uint32_t *)REG_DMA8_STAT)
#define pSPI1_RXDMA_STAT                ((volatile uint32_t *)REG_DMA9_STAT)
#define pRSI0_DMA_STAT                  ((volatile uint32_t *)REG_DMA10_STAT)
#define pSDU0_DMA_STAT                  ((volatile uint32_t *)REG_DMA11_STAT)
#define pLP0_DMA_STAT                   ((volatile uint32_t *)REG_DMA13_STAT)
#define pLP1_DMA_STAT                   ((volatile uint32_t *)REG_DMA14_STAT)
#define pLP2_DMA_STAT                   ((volatile uint32_t *)REG_DMA15_STAT)
#define pLP3_DMA_STAT                   ((volatile uint32_t *)REG_DMA16_STAT)
#define pMDMA0_SRC_CRC0_IN_STAT         ((volatile uint32_t *)REG_DMA21_STAT)
#define pMDMA0_DST_CRC0_OUT_STAT        ((volatile uint32_t *)REG_DMA22_STAT)
#define pMDMA1_SRC_CRC0_IN_STAT         ((volatile uint32_t *)REG_DMA23_STAT)
#define pMDMA1_DST_CRC0_OUT_STAT        ((volatile uint32_t *)REG_DMA24_STAT)
#define pMDMA2_SRC_STAT                 ((volatile uint32_t *)REG_DMA25_STAT)
#define pMDMA2_DST_STAT                 ((volatile uint32_t *)REG_DMA26_STAT)
#define pMDMA3_SRC_STAT                 ((volatile uint32_t *)REG_DMA27_STAT)
#define pMDMA3_DST_STAT                 ((volatile uint32_t *)REG_DMA28_STAT)
#define pEPPI0_CH0_DMA_STAT             ((volatile uint32_t *)REG_DMA29_STAT)
#define pEPPI0_CH1_DMA_STAT             ((volatile uint32_t *)REG_DMA30_STAT)
#define pEPPI2_CH0_DMA_STAT             ((volatile uint32_t *)REG_DMA31_STAT)
#define pEPPI2_CH1_DMA_STAT             ((volatile uint32_t *)REG_DMA32_STAT)
#define pEPPI1_CH0_DMA_STAT             ((volatile uint32_t *)REG_DMA33_STAT)
#define pEPPI1_CH1_DMA_STAT             ((volatile uint32_t *)REG_DMA34_STAT)
#define pPIXC0_CH0_DMA_STAT             ((volatile uint32_t *)REG_DMA35_STAT)
#define pPIXC0_CH1_DMA_STAT             ((volatile uint32_t *)REG_DMA36_STAT)
#define pPIXC0_CH2_DMA_STAT             ((volatile uint32_t *)REG_DMA37_STAT)
#define pPVP0_CPDOB_DMA_STAT            ((volatile uint32_t *)REG_DMA38_STAT)
#define pPVP0_CPDOC_DMA_STAT            ((volatile uint32_t *)REG_DMA39_STAT)
#define pPVP0_CPSTAT_DMA_STAT           ((volatile uint32_t *)REG_DMA40_STAT)
#define pPVP0_CPCI_DMA_STAT             ((volatile uint32_t *)REG_DMA41_STAT)
#define pPVP0_MPDO_DMA_STAT             ((volatile uint32_t *)REG_DMA42_STAT)
#define pPVP0_MPDI_DMA_STAT             ((volatile uint32_t *)REG_DMA43_STAT)
#define pPVP0_MPSTAT_DMA_STAT           ((volatile uint32_t *)REG_DMA44_STAT)
#define pPVP0_MPCI_DMA_STAT             ((volatile uint32_t *)REG_DMA45_STAT)
#define pPVP0_CPDOA_DMA_STAT            ((volatile uint32_t *)REG_DMA46_STAT)

#define pUART0_TXDMA_DSCPTR_NXT         ((volatile uint32_t *)REG_DMA17_DSCPTR_NXT)
#define pUART0_TXDMA_ADDRSTART          ((volatile uint32_t *)REG_DMA17_ADDRSTART)
#define pUART0_TXDMA_CFG                ((volatile uint32_t *)REG_DMA17_CFG)
#define pUART0_TXDMA_XCNT               ((volatile uint32_t *)REG_DMA17_XCNT)
#define pUART0_TXDMA_XMOD               ((volatile uint32_t *)REG_DMA17_XMOD)
#define pUART0_TXDMA_YCNT               ((volatile uint32_t *)REG_DMA17_YCNT)
#define pUART0_TXDMA_YMOD               ((volatile uint32_t *)REG_DMA17_YMOD)
#define pUART0_TXDMA_DSCPTR_CUR         ((volatile uint32_t *)REG_DMA17_DSCPTR_CUR)
#define pUART0_TXDMA_DSCPTR_PRV         ((volatile uint32_t *)REG_DMA17_DSCPTR_PRV)
#define pUART0_TXDMA_ADDR_CUR           ((volatile uint32_t *)REG_DMA17_ADDR_CUR)
#define pUART0_TXDMA_STAT               ((volatile uint32_t *)REG_DMA17_STAT)
#define pUART0_TXDMA_XCNT_CUR           ((volatile uint32_t *)REG_DMA17_XCNT_CUR)
#define pUART0_TXDMA_YCNT_CUR           ((volatile uint32_t *)REG_DMA17_YCNT_CUR)
#define pUART0_TXDMA_BWLCNT             ((volatile uint32_t *)REG_DMA17_BWLCNT)
#define pUART0_TXDMA_BWLCNT_CUR         ((volatile uint32_t *)REG_DMA17_BWLCNT_CUR)
#define pUART0_TXDMA_BWMCNT             ((volatile uint32_t *)REG_DMA17_BWMCNT)
#define pUART0_TXDMA_BWMCNT_CUR         ((volatile uint32_t *)REG_DMA17_BWMCNT_CUR)

#define pUART0_RXDMA_DSCPTR_NXT         ((volatile uint32_t *)REG_DMA18_DSCPTR_NXT)
#define pUART0_RXDMA_ADDRSTART          ((volatile uint32_t *)REG_DMA18_ADDRSTART)
#define pUART0_RXDMA_CFG                ((volatile uint32_t *)REG_DMA18_CFG)
#define pUART0_RXDMA_XCNT               ((volatile uint32_t *)REG_DMA18_XCNT)
#define pUART0_RXDMA_XMOD               ((volatile uint32_t *)REG_DMA18_XMOD)
#define pUART0_RXDMA_YCNT               ((volatile uint32_t *)REG_DMA18_YCNT)
#define pUART0_RXDMA_YMOD               ((volatile uint32_t *)REG_DMA18_YMOD)
#define pUART0_RXDMA_DSCPTR_CUR         ((volatile uint32_t *)REG_DMA18_DSCPTR_CUR)
#define pUART0_RXDMA_DSCPTR_PRV         ((volatile uint32_t *)REG_DMA18_DSCPTR_PRV)
#define pUART0_RXDMA_ADDR_CUR           ((volatile uint32_t *)REG_DMA18_ADDR_CUR)
#define pUART0_RXDMA_STAT               ((volatile uint32_t *)REG_DMA18_STAT)
#define pUART0_RXDMA_XCNT_CUR           ((volatile uint32_t *)REG_DMA18_XCNT_CUR)
#define pUART0_RXDMA_YCNT_CUR           ((volatile uint32_t *)REG_DMA18_YCNT_CUR)
#define pUART0_RXDMA_BWLCNT             ((volatile uint32_t *)REG_DMA18_BWLCNT)
#define pUART0_RXDMA_BWLCNT_CUR         ((volatile uint32_t *)REG_DMA18_BWLCNT_CUR)
#define pUART0_RXDMA_BWMCNT             ((volatile uint32_t *)REG_DMA18_BWMCNT)
#define pUART0_RXDMA_BWMCNT_CUR         ((volatile uint32_t *)REG_DMA18_BWMCNT_CUR)

#define pUART1_TXDMA_DSCPTR_NXT         ((volatile uint32_t *)REG_DMA19_DSCPTR_NXT)
#define pUART1_TXDMA_ADDRSTART          ((volatile uint32_t *)REG_DMA19_ADDRSTART)
#define pUART1_TXDMA_CFG                ((volatile uint32_t *)REG_DMA19_CFG)
#define pUART1_TXDMA_XCNT               ((volatile uint32_t *)REG_DMA19_XCNT)
#define pUART1_TXDMA_XMOD               ((volatile uint32_t *)REG_DMA19_XMOD)
#define pUART1_TXDMA_YCNT               ((volatile uint32_t *)REG_DMA19_YCNT)
#define pUART1_TXDMA_YMOD               ((volatile uint32_t *)REG_DMA19_YMOD)
#define pUART1_TXDMA_DSCPTR_CUR         ((volatile uint32_t *)REG_DMA19_DSCPTR_CUR)
#define pUART1_TXDMA_DSCPTR_PRV         ((volatile uint32_t *)REG_DMA19_DSCPTR_PRV)
#define pUART1_TXDMA_ADDR_CUR           ((volatile uint32_t *)REG_DMA19_ADDR_CUR)
#define pUART1_TXDMA_STAT               ((volatile uint32_t *)REG_DMA19_STAT)
#define pUART1_TXDMA_XCNT_CUR           ((volatile uint32_t *)REG_DMA19_XCNT_CUR)
#define pUART1_TXDMA_YCNT_CUR           ((volatile uint32_t *)REG_DMA19_YCNT_CUR)
#define pUART1_TXDMA_BWLCNT             ((volatile uint32_t *)REG_DMA19_BWLCNT)
#define pUART1_TXDMA_BWLCNT_CUR         ((volatile uint32_t *)REG_DMA19_BWLCNT_CUR)
#define pUART1_TXDMA_BWMCNT             ((volatile uint32_t *)REG_DMA19_BWMCNT)
#define pUART1_TXDMA_BWMCNT_CUR         ((volatile uint32_t *)REG_DMA19_BWMCNT_CUR)

#define pUART1_RXDMA_DSCPTR_NXT         ((volatile uint32_t *)REG_DMA20_DSCPTR_NXT)
#define pUART1_RXDMA_ADDRSTART          ((volatile uint32_t *)REG_DMA20_ADDRSTART)
#define pUART1_RXDMA_CFG                ((volatile uint32_t *)REG_DMA20_CFG)
#define pUART1_RXDMA_XCNT               ((volatile uint32_t *)REG_DMA20_XCNT)
#define pUART1_RXDMA_XMOD               ((volatile uint32_t *)REG_DMA20_XMOD)
#define pUART1_RXDMA_YCNT               ((volatile uint32_t *)REG_DMA20_YCNT)
#define pUART1_RXDMA_YMOD               ((volatile uint32_t *)REG_DMA20_YMOD)
#define pUART1_RXDMA_DSCPTR_CUR         ((volatile uint32_t *)REG_DMA20_DSCPTR_CUR)
#define pUART1_RXDMA_DSCPTR_PRV         ((volatile uint32_t *)REG_DMA20_DSCPTR_PRV)
#define pUART1_RXDMA_ADDR_CUR           ((volatile uint32_t *)REG_DMA20_ADDR_CUR)
#define pUART1_RXDMA_STAT               ((volatile uint32_t *)REG_DMA20_STAT)
#define pUART1_RXDMA_XCNT_CUR           ((volatile uint32_t *)REG_DMA20_XCNT_CUR)
#define pUART1_RXDMA_YCNT_CUR           ((volatile uint32_t *)REG_DMA20_YCNT_CUR)
#define pUART1_RXDMA_BWLCNT             ((volatile uint32_t *)REG_DMA20_BWLCNT)
#define pUART1_RXDMA_BWLCNT_CUR         ((volatile uint32_t *)REG_DMA20_BWLCNT_CUR)
#define pUART1_RXDMA_BWMCNT             ((volatile uint32_t *)REG_DMA20_BWMCNT)
#define pUART1_RXDMA_BWMCNT_CUR         ((volatile uint32_t *)REG_DMA20_BWMCNT_CUR)

